package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Refrreres;
import com.realnet.vpspack.Services.RefrreresService ;








@RequestMapping(value = "/Refrreres")
 @CrossOrigin("*") 
@RestController
public class RefrreresController {
	@Autowired
	private RefrreresService Service;

@Value("${projectPath}")
	private String projectPath;
 








	@PostMapping("/Refrreres")
		  public Refrreres Savedata(@RequestBody Refrreres data) {
		Refrreres save = Service.Savedata(data)	;







		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Refrreres/{id}")
	public  Refrreres update(@RequestBody Refrreres data,@PathVariable Integer id ) {
		Refrreres update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Refrreres/getall/page")
	public Page<Refrreres> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Refrreres> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Refrreres")
	public List<Refrreres> getdetails() {
		 List<Refrreres> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Refrreres")
	public List<Refrreres> getallwioutsec() {
		 List<Refrreres> get = Service.getdetails();		
		return get;
}
@GetMapping("/Refrreres/{id}")
	public  Refrreres  getdetailsbyId(@PathVariable Integer id ) {
		Refrreres  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Refrreres/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}









}